/*
 * Copyright (C) 2019-2024 B.R.S. Roso.
 * 
 * Musp is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License version 3 as published by the Free
 * Software Foundation.
 * 
 * This program is distributed in the hope that it be useful but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * Musp.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef PERRF_H
#define PERRF_H

#include <stdarg.h>

extern const char *perrf_head;

void perrf(const char *fmt, ...);
void perrf_errno(const char *fmt, ...);
void vperrf(const char *fmt, va_list va);
void vperrf_errno(const char *fmt, va_list va); 

#endif
